Loading...
Searching...
No Matches
form.cc

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciate(T, M)

## Functions

template<class T, class M>
form_basic< T, M > | trans (const form_basic< T, M > &a)
template<class T, class M>
form_basic< T, M > | diag (const field_basic< T, M > &dh)
template<class T, class M>
field_basic< T, M > | diag (const form_basic< T, M > &a)
| _RHEOLEF_instanciate (Float, sequential) _RHEOLEF_instanciate(Float

## Macro Definition Documentation

## _RHEOLEF_instanciate

#define _RHEOLEF_instanciate | ( |  | T,
|  |  | M )

Value:
template class form_basic<T,M>; \
template class form_basic<T,M> trans (const form_basic<T,M>&); \
template class field_basic<T,M> diag (const form_basic<T,M>&); \
template class form_basic<T,M> diag (const field_basic<T,M>&);

Definition at line 296 of file form.cc.